<app-loading *ngIf="isLoading"></app-loading>
<div class="content">
  <mb-button
    *ngIf="objFunction?.create"
    mbButtonType="NO_BORDER"
    mbButtonSize="LARGE"
    [routerLink]="['create']"
    mbButtonText="{{ 'common.button.add' | translate }}"
    mbButtonAvailableStyle="PRIMARY"
  ></mb-button>
</div>

<div class="form-search">
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30, 10]">
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select
          formControlName="regionId"
          [mbDataSelects]="catalogs[CATALOGS.TINH]"
          [mbShowSearch]="false"
          mbPlaceholder="{{
            'insurance.placeholder.select'
              | translateLabel
                : 'insurance.participationInformation.label.regionId'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.regionId' | translate
          }}"
        >
        </mb-select>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-input-text
          formControlName="unit"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel: 'insurance.participationInformation.label.unit'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.unit' | translate
          }}"
        >
        </mb-input-text>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select
          formControlName="insuredSubject"
          [mbDataSelects]="subjectEmployeeOptions"
          [mbShowSearch]="false"
          mbPlaceholder="{{
            'insurance.placeholder.select'
              | translateLabel
                : 'insurance.participationInformation.label.insuredSubject'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.insuredSubject'
              | translate
          }}"
        >
        </mb-select>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select
          formControlName="employeeType"
          [mbDataSelects]="catalogs[CATALOGS.TINH]"
          [mbShowSearch]="false"
          mbPlaceholder="{{
            'insurance.placeholder.select'
              | translateLabel
                : 'insurance.participationInformation.label.employeeType'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.employeeType' | translate
          }}"
        >
        </mb-select>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-input-text
          formControlName="staff"
          mbPlaceholderText="{{
            'insurance.placeholder.input'
              | translateLabel
                : 'insurance.participationInformation.label.searchText'
          }}"
          mbLabelText="{{
            'insurance.participationInformation.label.searchText' | translate
          }}"
        >
        </mb-input-text>
      </div>
    </div>
  </form>
  <div class="search-btn">
    <mb-button
      mbButtonAvailableStyle="CUSTOM"
      (click)="search()"
      mbButtonText="{{ 'common.label.search' | translate }}"
    >
    </mb-button>
    <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE">
      <img src="assets/images/icon/excel.svg" alt="export" />
    </mb-button>
  </div>
</div>

<div class="search__content--group">
  <mb-table-wrap>
    <mb-table
      (changePageNum)="search($event)"
      [heightTable]="heightTable"
      [tableConfig]="tableConfig"
      [tableData]="tableData"
    ></mb-table>
  </mb-table-wrap>
</div>

<ng-template #actionTpl let-id="id">
  <div class="btn-wrap">
    <mb-button
      *ngIf="objFunction?.edit"
      [routerLink]="['update']"
      [queryParams]="{id}"
      mbButtonType="ONLY_ICON"
      mbButtonIconType="AWESOME"
      mbPrefixIcon="far fa-pencil-alt"
    ></mb-button>
    <mb-button
      *ngIf="objFunction?.delete"
      (click)="showConfirm(id, $event)"
      mbButtonType="ONLY_ICON"
      mbButtonIconType="AWESOME"
      mbPrefixIcon="fal fa-trash-alt"
    ></mb-button>
  </div>
</ng-template>
